/**
 * 左屏
 */

import { getGuangFu } from "../data/interface/dataInterface";
import { getKeyValueOut, getOnceYBarChartOut } from "../dataPackage/out";


let guangfuData;
/**
 * 初始化接口数据
 */
export async function guangfuInit() {
    guangfuData = await getGuangFu();
}


/**
 * 左屏
 * @param req 
 * @param res 
 */
export async function getLeft(req, res) {
    let ret:any = {};

    ret['jbqk'] = getKeyValueOut('基本情况', guangfuData.jbqk);

    ret['fdglpjzfx'] = getKeyValueOut('能耗分析', guangfuData.nhfx.count);
    ret['fdglpjzfxqst'] = getKeyValueOut('发电功率平均值分析趋势图', guangfuData.nhfx.charData);
    ret['fdgldtgl'] = getKeyValueOut('发电功率当天分析', guangfuData.nhfx.dayData)
    
    ret['trsy'] = getKeyValueOut('投入使用', guangfuData.trsy.count);
    ret['trsyqst'] = getKeyValueOut('投入使用趋势', guangfuData.trsy.charData);

    res.send(ret);
}


/**
 * 中间
 * @param req 
 * @param res 
 */
export async function getData(req, res) {
    let ret:any = {};
    
    ret['ztsj'] = getKeyValueOut('整体数据', guangfuData.ztsj);

    res.send(ret);
}


/**
 * 右屏
 * @param req 
 * @param res 
 */
export async function getRight(req, res) {
    let ret:any = {};
    
    ret['xyfxfd'] = getKeyValueOut('效益分析-发电量', guangfuData.xyfxfd.count);
    ret['xyfxfdqst'] = getKeyValueOut('效益分析-发电量趋势', guangfuData.xyfxfd.chartData);

    ret['xyfx'] = getKeyValueOut('效益分析', guangfuData.xyfx.count);
     ret['xyfxqst'] = {title:"效益分析趋势", dataList:guangfuData.xyfx.chartData}

    ret['jnjp'] = getKeyValueOut('节能减排', guangfuData.jnjp.count);
    ret['jnjpqst'] = getKeyValueOut('节能减排趋势', guangfuData.jnjp.chartData);

    res.send(ret);
}









